resetsequence 1.0.0
===================

This module contains a single PostgreSQL extension, comprising simple utility
functions that help with maintaining sequence values.  These functions let you
reset the sequences to the maximum values used in table columns that link to
them via DEFAULT clauses.

To build it, just do this:

    make
    make install

If you encounter an error such as:

    "Makefile", line 8: Need an operator

You need to use GNU make, which may well be installed on your system as
`gmake`:

    gmake
    gmake install
    gmake installcheck

If you encounter an error such as:

    make: pg_config: Command not found

Be sure that you have `pg_config` installed and in your path. If you used a
package management system such as RPM to install PostgreSQL, be sure that the
`-devel` package is also installed. If necessary tell the build process where
to find it:

    env PG_CONFIG=/path/to/pg_config make && make installcheck && make install

Once `resetsequente` is installed, you can add it to a database. If you're
running PostgreSQL 9.1.0 or greater, it's a simple as connecting to a database
as a super user and running:

    CREATE EXTENSION resetsequence;

If you've upgraded your cluster to PostgreSQL 9.1 and already had
`resetsequence` installed, you can upgrade it to a properly packaged extension
with:

    CREATE EXTENSION resetsequence FROM unpackaged;

For versions of PostgreSQL less than 9.1.0, you'll need to run the
installation script:

    psql -d mydb -f /path/to/pgsql/share/contrib/resetsequence--1.0.sql

If you want to install resetsequence and all of its supporting objects into a specific
schema, use the `PGOPTIONS` environment variable to specify the schema, like
so:

    PGOPTIONS=--search_path=extensions psql -d mydb -f resetsequence.sql

Dependencies
------------
The `resetsequence` module has no dependencies other than PostgreSQL.

Sponsors
--------

The `resetsequence` module has been sponsored by
[Enova Financials](http://www.enovafinancial.com).

Copyright and License
---------------------

Copyright (c) 2011 Command Prompt, Inc.

This module is free software; you can redistribute it and/or modify it under
the [PostgreSQL License](http://www.opensource.org/licenses/postgresql).

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose, without fee, and without a written agreement is
hereby granted, provided that the above copyright notice and this paragraph
and the following two paragraphs appear in all copies.

In no event shall Command Prompt, Inc. be liable to any party for direct,
indirect, special, incidental, or consequential damages, including lost
profits, arising out of the use of this software and its documentation, even
if Command Prompt, Inc. has been advised of the possibility of such damage.

Command Prompt, Inc. specifically disclaims any warranties, including, but not
limited to, the implied warranties of merchantability and fitness for a
particular purpose. The software provided hereunder is on an "as is" basis,
and Command Prompt, Inc. has no obligations to provide maintenance, support,
updates, enhancements, or modifications.
